# Serialized Form

- ## Package com.google.common.base

  - ### Class com.google.common.base.Equivalence.Wrapper extends java.lang.Object implements Serializable

    serialVersionUID:
      0L

    - ### Serialized Fields

      - #### equivalence

            Equivalence<T> equivalence

      - #### reference

            java.lang.Object reference

  - ### Class com.google.common.base.Optional extends java.lang.Object implements Serializable

    serialVersionUID:
      0L

  - ### Class com.google.common.base.VerifyException extends java.lang.RuntimeException implements Serializable

- ## Package com.google.common.cache

  - ### Class com.google.common.cache.CacheLoader.InvalidCacheLoadException extends java.lang.RuntimeException implements Serializable

  - ### Class com.google.common.cache.CacheLoader.UnsupportedLoadingOperationException extends java.lang.UnsupportedOperationException implements Serializable

- ## Package com.google.common.collect

  - ### Class com.google.common.collect.ArrayListMultimap extends com.google.common.collect.AbstractListMultimap<K,V> implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### readObject

            @GwtIncompatible(value="java.io.ObjectOutputStream")
            private void readObject(java.io.ObjectInputStream stream)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            @GwtIncompatible(value="java.io.ObjectOutputStream")
            private void writeObject(java.io.ObjectOutputStream stream)
                              throws java.io.IOException

        Serial Data:
          expectedValuesPerKey, number of distinct keys, and then for each distinct key: the key, number of values for that key, and the key's values
        Throws:
          `java.io.IOException`

  - ### Class com.google.common.collect.ArrayTable extends com.google.common.collect.AbstractTable<R,C,V> implements Serializable

    serialVersionUID:
      0L

    - ### Serialized Fields

      - #### rowList

            ImmutableList<E> rowList

      - #### columnList

            ImmutableList<E> columnList

      - #### rowKeyToIndex

            ImmutableMap<K,V> rowKeyToIndex

      - #### columnKeyToIndex

            ImmutableMap<K,V> columnKeyToIndex

      - #### array

            java.lang.Object[][] array

  - ### Class com.google.common.collect.ComputationException extends java.lang.RuntimeException implements Serializable

    serialVersionUID:
      0L

  - ### Class com.google.common.collect.ConcurrentHashMultiset extends com.google.common.collect.AbstractMultiset<E> implements Serializable

    serialVersionUID:
      1L

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream stream)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream stream)
                              throws java.io.IOException

        Serial Data:
          the ConcurrentMap of elements and their counts.
        Throws:
          `java.io.IOException`

  - ### Class com.google.common.collect.ContiguousSet extends ImmutableSortedSet<C extends java.lang.Comparable> implements Serializable

    - ### Serialized Fields

      - #### domain

            DiscreteDomain<C extends java.lang.Comparable> domain

  - ### Class com.google.common.collect.EnumBiMap extends com.google.common.collect.AbstractBiMap<K extends java.lang.Enum<K>,V extends java.lang.Enum<V>> implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### readObject

            @GwtIncompatible(value="java.io.ObjectInputStream")
            private void readObject(java.io.ObjectInputStream stream)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            @GwtIncompatible(value="java.io.ObjectOutputStream")
            private void writeObject(java.io.ObjectOutputStream stream)
                              throws java.io.IOException

        Serial Data:
          the key class, value class, number of entries, first key, first value, second key, second value, and so on.
        Throws:
          `java.io.IOException`

  - ### Class com.google.common.collect.EnumHashBiMap extends com.google.common.collect.AbstractBiMap<K extends java.lang.Enum<K>,V> implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### readObject

            @GwtIncompatible(value="java.io.ObjectInputStream")
            private void readObject(java.io.ObjectInputStream stream)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            @GwtIncompatible(value="java.io.ObjectOutputStream")
            private void writeObject(java.io.ObjectOutputStream stream)
                              throws java.io.IOException

        Serial Data:
          the key class, number of entries, first key, first value, second key, second value, and so on.
        Throws:
          `java.io.IOException`

  - ### Class com.google.common.collect.EnumMultiset extends com.google.common.collect.AbstractMapBasedMultiset<E extends java.lang.Enum<E>> implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### readObject

            @GwtIncompatible(value="java.io.ObjectInputStream")
            private void readObject(java.io.ObjectInputStream stream)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Serial Data:
          the `Class<E>` for the enum type, the number of distinct elements, the first element, its count, the second element, its count, and so on
        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            @GwtIncompatible(value="java.io.ObjectOutputStream")
            private void writeObject(java.io.ObjectOutputStream stream)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

  - ### Class com.google.common.collect.EvictingQueue extends ForwardingQueue<E> implements Serializable

    serialVersionUID:
      0L

    - ### Serialized Fields

      - #### delegate

            java.util.Queue<E> delegate

      - #### maxSize

            int maxSize

  - ### Class com.google.common.collect.HashBasedTable extends com.google.common.collect.StandardTable<R,C,V> implements Serializable

    serialVersionUID:
      0L

  - ### Class com.google.common.collect.HashBiMap extends com.google.common.collect.Maps.IteratorBasedAbstractMap<K,V> implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### readObject

            @GwtIncompatible(value="java.io.ObjectInputStream")
            private void readObject(java.io.ObjectInputStream stream)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            @GwtIncompatible(value="java.io.ObjectOutputStream")
            private void writeObject(java.io.ObjectOutputStream stream)
                              throws java.io.IOException

        Serial Data:
          the number of entries, first key, first value, second key, second value, and so on.
        Throws:
          `java.io.IOException`

  - ### Class com.google.common.collect.HashMultimap extends com.google.common.collect.AbstractSetMultimap<K,V> implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### readObject

            @GwtIncompatible(value="java.io.ObjectInputStream")
            private void readObject(java.io.ObjectInputStream stream)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            @GwtIncompatible(value="java.io.ObjectOutputStream")
            private void writeObject(java.io.ObjectOutputStream stream)
                              throws java.io.IOException

        Serial Data:
          expectedValuesPerKey, number of distinct keys, and then for each distinct key: the key, number of values for that key, and the key's values
        Throws:
          `java.io.IOException`

  - ### Class com.google.common.collect.HashMultiset extends com.google.common.collect.AbstractMapBasedMultiset<E> implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### readObject

            @GwtIncompatible(value="java.io.ObjectInputStream")
            private void readObject(java.io.ObjectInputStream stream)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            @GwtIncompatible(value="java.io.ObjectOutputStream")
            private void writeObject(java.io.ObjectOutputStream stream)
                              throws java.io.IOException

        Serial Data:
          the number of distinct elements, the first element, its count, the second element, its count, and so on
        Throws:
          `java.io.IOException`

  - ### Class com.google.common.collect.ImmutableBiMap extends ImmutableMap<K,V> implements Serializable

    - ### Serialization Methods

      - #### writeReplace

            java.lang.Object writeReplace()

  - ### Class com.google.common.collect.ImmutableClassToInstanceMap extends ForwardingMap<java.lang.Class<? extends B>,B> implements Serializable

    - ### Serialization Methods

      - #### readResolve

            java.lang.Object readResolve()

    - ### Serialized Fields

      - #### delegate

            ImmutableMap<K,V> delegate

  - ### Class com.google.common.collect.ImmutableCollection extends java.util.AbstractCollection<E> implements Serializable

    - ### Serialization Methods

      - #### writeReplace

            java.lang.Object writeReplace()

  - ### Class com.google.common.collect.ImmutableList extends ImmutableCollection<E> implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream stream)
                             throws java.io.InvalidObjectException

        Throws:
          `java.io.InvalidObjectException`

      - #### writeReplace

            java.lang.Object writeReplace()

  - ### Class com.google.common.collect.ImmutableListMultimap extends ImmutableMultimap<K,V> implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### readObject

            @GwtIncompatible(value="java.io.ObjectInputStream")
            private void readObject(java.io.ObjectInputStream stream)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            @GwtIncompatible(value="java.io.ObjectOutputStream")
            private void writeObject(java.io.ObjectOutputStream stream)
                              throws java.io.IOException

        Serial Data:
          number of distinct keys, and then for each distinct key: the key, the number of values for that key, and the key's values
        Throws:
          `java.io.IOException`

  - ### Class com.google.common.collect.ImmutableMap extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### writeReplace

            java.lang.Object writeReplace()

  - ### Class com.google.common.collect.ImmutableMultimap extends com.google.common.collect.AbstractMultimap<K,V> implements Serializable

    serialVersionUID:
      0L

  - ### Class com.google.common.collect.ImmutableMultiset extends ImmutableCollection<E> implements Serializable

    - ### Serialization Methods

      - #### writeReplace

            java.lang.Object writeReplace()

  - ### Class com.google.common.collect.ImmutableRangeMap extends java.lang.Object implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            java.lang.Object writeReplace()

  - ### Class com.google.common.collect.ImmutableRangeSet extends com.google.common.collect.AbstractRangeSet<C extends java.lang.Comparable> implements Serializable

    - ### Serialization Methods

      - #### writeReplace

            java.lang.Object writeReplace()

  - ### Class com.google.common.collect.ImmutableSet extends ImmutableCollection<E> implements Serializable

    - ### Serialization Methods

      - #### writeReplace

            java.lang.Object writeReplace()

  - ### Class com.google.common.collect.ImmutableSetMultimap extends ImmutableMultimap<K,V> implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### readObject

            @GwtIncompatible(value="java.io.ObjectInputStream")
            private void readObject(java.io.ObjectInputStream stream)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            @GwtIncompatible(value="java.io.ObjectOutputStream")
            private void writeObject(java.io.ObjectOutputStream stream)
                              throws java.io.IOException

        Serial Data:
          number of distinct keys, and then for each distinct key: the key, the number of values for that key, and the key's values
        Throws:
          `java.io.IOException`

  - ### Class com.google.common.collect.ImmutableSortedMap extends com.google.common.collect.ImmutableSortedMapFauxverideShim<K,V> implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            java.lang.Object writeReplace()

  - ### Class com.google.common.collect.ImmutableSortedMultiset extends com.google.common.collect.ImmutableSortedMultisetFauxverideShim<E> implements Serializable

    - ### Serialization Methods

      - #### writeReplace

            java.lang.Object writeReplace()

  - ### Class com.google.common.collect.ImmutableSortedSet extends com.google.common.collect.ImmutableSortedSetFauxverideShim<E> implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream stream)
                             throws java.io.InvalidObjectException

        Throws:
          `java.io.InvalidObjectException`

      - #### writeReplace

            java.lang.Object writeReplace()

  - ### Class com.google.common.collect.LinkedHashMultimap extends com.google.common.collect.AbstractSetMultimap<K,V> implements Serializable

    serialVersionUID:
      1L

    - ### Serialization Methods

      - #### readObject

            @GwtIncompatible(value="java.io.ObjectInputStream")
            private void readObject(java.io.ObjectInputStream stream)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            @GwtIncompatible(value="java.io.ObjectOutputStream")
            private void writeObject(java.io.ObjectOutputStream stream)
                              throws java.io.IOException

        Serial Data:
          the expected values per key, the number of distinct keys, the number of entries, and the entries in order
        Throws:
          `java.io.IOException`

  - ### Class com.google.common.collect.LinkedHashMultiset extends com.google.common.collect.AbstractMapBasedMultiset<E> implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### readObject

            @GwtIncompatible(value="java.io.ObjectInputStream")
            private void readObject(java.io.ObjectInputStream stream)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            @GwtIncompatible(value="java.io.ObjectOutputStream")
            private void writeObject(java.io.ObjectOutputStream stream)
                              throws java.io.IOException

        Serial Data:
          the number of distinct elements, the first element, its count, the second element, its count, and so on
        Throws:
          `java.io.IOException`

  - ### Class com.google.common.collect.LinkedListMultimap extends com.google.common.collect.AbstractMultimap<K,V> implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### readObject

            @GwtIncompatible(value="java.io.ObjectInputStream")
            private void readObject(java.io.ObjectInputStream stream)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            @GwtIncompatible(value="java.io.ObjectOutputStream")
            private void writeObject(java.io.ObjectOutputStream stream)
                              throws java.io.IOException

        Serial Data:
          the number of distinct keys, and then for each distinct key: the first key, the number of values for that key, and the key's values, followed by successive keys and values from the entries() ordering
        Throws:
          `java.io.IOException`

  - ### Class com.google.common.collect.Range extends java.lang.Object implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### readResolve

            java.lang.Object readResolve()

    - ### Serialized Fields

      - #### lowerBound

            com.google.common.collect.Cut<C extends java.lang.Comparable> lowerBound

      - #### upperBound

            com.google.common.collect.Cut<C extends java.lang.Comparable> upperBound

  - ### Class com.google.common.collect.TreeBasedTable extends com.google.common.collect.StandardRowSortedTable<R,C,V> implements Serializable

    serialVersionUID:
      0L

    - ### Serialized Fields

      - #### columnComparator

            java.util.Comparator<T> columnComparator

  - ### Class com.google.common.collect.TreeMultimap extends com.google.common.collect.AbstractSortedKeySortedSetMultimap<K,V> implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### readObject

            @GwtIncompatible(value="java.io.ObjectInputStream")
            private void readObject(java.io.ObjectInputStream stream)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            @GwtIncompatible(value="java.io.ObjectOutputStream")
            private void writeObject(java.io.ObjectOutputStream stream)
                              throws java.io.IOException

        Serial Data:
          key comparator, value comparator, number of distinct keys, and then for each distinct key: the key, number of values for that key, and key values
        Throws:
          `java.io.IOException`

  - ### Class com.google.common.collect.TreeMultiset extends com.google.common.collect.AbstractSortedMultiset<E> implements Serializable

    serialVersionUID:
      1L

    - ### Serialization Methods

      - #### readObject

            @GwtIncompatible(value="java.io.ObjectInputStream")
            private void readObject(java.io.ObjectInputStream stream)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            @GwtIncompatible(value="java.io.ObjectOutputStream")
            private void writeObject(java.io.ObjectOutputStream stream)
                              throws java.io.IOException

        Serial Data:
          the comparator, the number of distinct elements, the first element, its count, the second element, its count, and so on
        Throws:
          `java.io.IOException`

- ## Package com.google.common.hash

  - ### Class com.google.common.hash.BloomFilter extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### writeReplace

            private java.lang.Object writeReplace()

    - ### Serialized Fields

      - #### bits

            com.google.common.hash.BloomFilterStrategies.BitArray bits

        The bit set of the BloomFilter (not necessarily power of 2!)

      - #### numHashFunctions

            int numHashFunctions

        Number of hashes per element

      - #### funnel

            Funnel<T> funnel

        The funnel to translate Ts to bytes

      - #### strategy

            com.google.common.hash.BloomFilter.Strategy strategy

        The strategy we employ to map an element T to `numHashFunctions` bit indexes.

- ## Package com.google.common.io

  - ### Class com.google.common.io.BaseEncoding.DecodingException extends java.io.IOException implements Serializable

- ## Package com.google.common.net

  - ### Class com.google.common.net.HostAndPort extends java.lang.Object implements Serializable

    serialVersionUID:
      0L

    - ### Serialized Fields

      - #### host

            java.lang.String host

        Hostname, IPv4/IPv6 literal, or unvalidated nonsense.

      - #### port

            int port

        Validated port number in the range [0..65535], or NO_PORT

      - #### hasBracketlessColons

            boolean hasBracketlessColons

        True if the parsed host has colons, but no surrounding brackets.

- ## Package com.google.common.primitives

  - ### Class com.google.common.primitives.UnsignedInteger extends java.lang.Number implements Serializable

    - ### Serialized Fields

      - #### value

            int value

  - ### Class com.google.common.primitives.UnsignedLong extends java.lang.Number implements Serializable

    - ### Serialized Fields

      - #### value

            long value

- ## Package com.google.common.reflect

  - ### Class com.google.common.reflect.TypeToken extends com.google.common.reflect.TypeCapture<T> implements Serializable

    - ### Serialization Methods

      - #### writeReplace

            protected java.lang.Object writeReplace()

        Implemented to support serialization of subclasses.

    - ### Serialized Fields

      - #### runtimeType

            java.lang.reflect.Type runtimeType

  - ### Class com.google.common.reflect.TypeToken.TypeSet extends ForwardingSet<TypeToken<? super T>> implements Serializable

    serialVersionUID:
      0L

- ## Package com.google.common.util.concurrent

  - ### Class com.google.common.util.concurrent.AtomicDouble extends java.lang.Number implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream s)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Reconstitutes the instance from a stream (that is, deserializes it).
        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream s)
                              throws java.io.IOException

        Saves the state to a stream (that is, serializes it).
        Serial Data:
          The current value is emitted (a `double`).
        Throws:
          `java.io.IOException`

  - ### Class com.google.common.util.concurrent.AtomicDoubleArray extends java.lang.Object implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream s)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Reconstitutes the instance from a stream (that is, deserializes it).
        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream s)
                              throws java.io.IOException

        Saves the state to a stream (that is, serializes it).
        Serial Data:
          The length of the array is emitted (int), followed by all of its elements (each a `double`) in the proper order.
        Throws:
          `java.io.IOException`

  - ### Class com.google.common.util.concurrent.CycleDetectingLockFactory.PotentialDeadlockException extends com.google.common.util.concurrent.CycleDetectingLockFactory.ExampleStackTrace implements Serializable

    - ### Serialized Fields

      - #### conflictingStackTrace

            com.google.common.util.concurrent.CycleDetectingLockFactory.ExampleStackTrace conflictingStackTrace

  - ### Class com.google.common.util.concurrent.ExecutionError extends java.lang.Error implements Serializable

    serialVersionUID:
      0L

  - ### Class com.google.common.util.concurrent.UncheckedExecutionException extends java.lang.RuntimeException implements Serializable

    serialVersionUID:
      0L

  - ### Class com.google.common.util.concurrent.UncheckedTimeoutException extends java.lang.RuntimeException implements Serializable

    serialVersionUID:
      0L